- [HTTP request](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.publishers/uploadLogo#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.publishers/uploadLogo#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.publishers/uploadLogo#body.request_body)
  - [JSON representation](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.publishers/uploadLogo#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.publishers/uploadLogo#body.response_body)
- [Authorization scopes](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.publishers/uploadLogo#body.aspect)
- [Examples](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.publishers/uploadLogo#examples)
- [Try it!](https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.publishers/uploadLogo#try-it)

Uploads a publisher logo.

### HTTP request

`POST https://dv360seller.googleapis.com/v1beta1/{parent=exchanges/*/publishers/*}:uploadLogo`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `parent` | `string` Parent path for the resource that the logo will be applied to. Example: `exchanges/123/publishers/123456`. Required |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "logoBinary": string, "logoFileExtension": string } ``` |

| Fields ||
|---|---|
| `logoBinary` | `string (https://developers.google.com/discovery/v1/type-format format)` The raw binary data of the logo image. Max size 2MB. Required A base64-encoded string. |
| `logoFileExtension` | `string` File extension for logo. Supports JPG and PNG. |

### Response body

If successful, the response body contains an instance of `https://developers.google.com/display-video/seller/reference/rest/v1beta1/exchanges.publishers#Publisher`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/doubleclickbidmanager`

For more information, see the [OAuth 2.0 Overview](https://developers.google.com/identity/protocols/OAuth2).